CSM-1B
Ενσωμάτωση
csm-1b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/csm-1b?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'\''m great, so happy to be speaking to you."
}
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/csm-1b?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you."
}
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing.",
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good.",
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you.",
},
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/csm-1b", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/el/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "csm-1b",
"input": {
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you."
}
]
}
}
Καλέστε το μοντέλο CSM-1B (csm-1b) μέσω του Doitong API. Τεκμηρίωση για πράκτορες: https://doitong.com/el/developers/models/csm-1b.md
POST https://api.doitong.ru/v1/run/csm-1b?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you."
}
]
}
Αν η κατάσταση της απόκρισης είναι "queued" ή "running", εκτελέστε δημοσκόπηση με GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 μέχρι να γίνει "succeeded"· τα αρχεία βρίσκονται στο outputs[].url. Το POST https://api.doitong.ru/v1/quote/csm-1b με το ίδιο σώμα επιστρέφει την ακριβή τιμή πριν από την εκτέλεση.
Αυτό το αίτημα: ≈0,03 $ 30 πιστώσεις API · ≈ 3,16 ₽ Εκτέλεση σε αυτήν τη σελίδα
Το νέο σας κλειδί API. Εμφανίζεται μόνο τώρα και βρίσκεται ήδη στον κώδικα και στο παρακάτω πεδίο κλειδιού API. Κρατήστε το μυστικό: μην το εισάγετε ποτέ σε κώδικα που εκτελείται σε πρόγραμμα περιήγησης.
Το πρώτο σας αποτέλεσμα θα εμφανιστεί εδώ
Δημιουργήστε ένα αίτημα παρακάτω και εκτελέστε το με το κλειδί API σας. Οι έξοδοι αντιγράφονται στην αποθήκευσή μας και διατηρούνται για πάντα ή 7 ημέρες δωρεάν.
Δημιουργία αιτήματος
Τα στοιχεία ελέγχου δημιουργούνται από το σχήμα του μοντέλου. Ο κώδικας και η τιμή ενημερώνονται καθώς τα αλλάζετε.
/run/csm-1b?wait=20
προσφορά → 0,03 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/csm-1b?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'\''m great, so happy to be speaking to you."
}
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/csm-1b?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you."
}
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing.",
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good.",
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you.",
},
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/csm-1b", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "csm-1b",
"input": {
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you."
}
]
},
"wait_seconds": 20
}
}
}
Εκτέλεση αυτού του αιτήματος
Το κλειδί σας παραμένει σε αυτό το πρόγραμμα περιήγησης: αποστέλλεται μόνο στο Doitong API και αποθηκεύεται (localStorage) μόνο αν ενεργοποιήσετε την επιλογή «Να απομνημονεύεται». Λήψη κλειδιού API
Σχετικά με το CSM-1B
Δημιουργεί ομιλία από ένα απαιτούμενο `scene`, δηλαδή έναν πίνακα αντικειμένων που περιέχουν το κείμενο προς εκφώνηση. Ένας προαιρετικός πίνακας `context` παρέχει προηγούμενες στροφές της συνομιλίας για τη διαμόρφωση της εκφοράς. Το αποτέλεσμα είναι μία έξοδος ήχου. Είναι σχεδιασμένο για ομιλία τύπου διαλόγου.
Παράμετροι
sceneαπαιτείται
scene[].speaker_idαπαιτείται
scene[].textαπαιτείται
contextπροαιρετικό
context[].promptαπαιτείται
context[].speaker_idαπαιτείται
context[].audio_urlαπαιτείται
Έξοδος
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "csm-1b",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 30,
"usd": "0.03",
"charged": 30,
"refunded": 0
},
"input": {
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you."
}
]
},
"output": {
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200
}
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Πεδία εξόδου
- audio
- object {url, content_type, file_name, file_size} | stringΉχος που παράγεται από το μοντέλο.
Περισσότερα μοντέλα: Κείμενο σε ομιλία
Για πράκτορες AI: αυτή η σελίδα σε Markdown βρίσκεται στη διεύθυνση https://doitong.com/el/developers/models/csm-1b.md. Όλα τα μοντέλα και οι οδηγοί: https://doitong.com/developers/llms.txt